<?xml version="1.0" encoding="utf-8"?>
<MotionScene xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:motion="http://schemas.android.com/apk/res-auto">

    <Transition
        motion:constraintSetEnd="@+id/end"
        motion:constraintSetStart="@+id/start"
        motion:duration="350">

        <OnSwipe
            motion:dragDirection="dragUp"
            motion:touchAnchorId="@id/refresh_layout_promotion_rewards" />

    </Transition>

    <ConstraintSet android:id="@+id/start">

        <Constraint
            android:id="@+id/img_top_bg"
            android:layout_width="match_parent"
            android:layout_height="85dp"
            android:alpha="0.0"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintRight_toRightOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/ll_top_box"
            android:layout_width="match_parent"
            android:layout_height="170dp"
            android:alpha="1.0"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintRight_toRightOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/ll_promotion_rewards_search"
            android:layout_width="0dp"
            android:layout_height="70dp"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_marginTop="-30dp"
            android:layout_marginRight="@dimen/d_10dp"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintRight_toRightOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/ll_top_box" />

        <Constraint
            android:id="@+id/iv_promotion_rewards_main_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_35dp"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@id/refresh_layout_promotion_rewards"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/ll_promotion_rewards_search" />

    </ConstraintSet>

    <ConstraintSet android:id="@+id/end">

        <Constraint
            android:id="@+id/img_top_bg"
            android:layout_width="match_parent"
            android:layout_height="85dp"
            android:alpha="0.6"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintRight_toRightOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@+id/ll_top_box"
            android:layout_width="match_parent"
            android:layout_height="85dp"
            android:alpha="0.0"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintRight_toRightOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />


        <Constraint
            android:id="@+id/ll_promotion_rewards_search"
            android:layout_width="0dp"
            android:layout_height="60dp"
            android:layout_marginLeft="5dp"
            android:layout_marginTop="0dp"
            android:layout_marginRight="@dimen/d_10dp"
            motion:layout_constraintBottom_toBottomOf="@id/ll_top_box"
            motion:layout_constraintLeft_toRightOf="@+id/iv_promotion_rewards_main_back"
            motion:layout_constraintRight_toRightOf="parent" />

        <Constraint
            android:id="@+id/iv_promotion_rewards_main_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_35dp"
            motion:layout_constraintLeft_toLeftOf="parent"
            motion:layout_constraintTop_toTopOf="parent" />

        <Constraint
            android:id="@id/refresh_layout_promotion_rewards"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            motion:layout_constraintBottom_toBottomOf="parent"
            motion:layout_constraintTop_toBottomOf="@id/ll_top_box" />

    </ConstraintSet>

</MotionScene>